Bug 184161 - Oops on ibmasm
Oops on ibmasm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 17:40 EST by Srihari Vijayaraghavan
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:56:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2006-03-06 17:40:39 EST
Description of problem:
While loading ibmasm (/lib/modules/`uname
-r`/kernel/drivers/misc/ibmasm/ibmasm.ko) kernel module, kernel oopses.

Version-Release number of selected component (if applicable):
2.6.15-1.2009.4.2_FC5smp

How reproducible:
Always. Easily.

Steps to Reproduce:
1. Boot the server
2. At the start-up (just after udev), watch kernel oops
  
Actual results:
Kernel oopses. Subsequently, everything hangs.

Expected results:
Kernel mayn't oops & system mayn't hang completely.

Additional info:
Here's the complete dmesg leading up to the kernel crash:
Linux version 2.6.15-1.2009.4.2_FC5smp (bhcompile@hs20-bc1-2.build.redhat.com)
(gcc version 4.1.0 20060228 (Red Hat 4.1.0-1)) #1 SMP Thu Mar 2 18:26:20 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009c400 (usable)
 BIOS-e820: 000000000009c400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000df0ea400 (usable)
 BIOS-e820: 00000000df0ea400 - 00000000df0f0000 (ACPI data)
 BIOS-e820: 00000000df0f0000 - 00000000e0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000120000000 (usable)
3712MB HIGHMEM available.
895MB LOWMEM available.
found SMP MP-table at 0009c9d0
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 1179648
  DMA zone: 4096 pages, LIFO batch:0
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 225279 pages, LIFO batch:31
  HighMem zone: 950273 pages, LIFO batch:31
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP (v000 IBM                                   ) @ 0x000fdfe0
ACPI: RSDT (v001 IBM    SERCRSDR 0x00001002 IBM  0x45444f43) @ 0xdf0eff80
ACPI: FADT (v001 IBM    SERCRSDR 0x00001002 IBM  0x45444f43) @ 0xdf0eff00
ACPI: MADT (v001 IBM    SERCRSDR 0x00001002 IBM  0x45444f43) @ 0xdf0efe80
ACPI: DSDT (v001 IBM    SERCRSDR 0x00001002 MSFT 0x0100000d) @ 0x00000000
ACPI: PM-Timer IO Port: 0x488
ACPI: Local APIC enabled (0).
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 15:1 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x04] enabled)
Processor #4 15:1 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:1 APIC version 20
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x05] enabled)
Processor #5 15:1 APIC version 20
ACPI: LAPIC_NMI (acpi_id[0xff] high edge lint[0x1])
Overriding APIC driver with bigsmp
ACPI: IOAPIC (id[0x0e] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 14, version 17, address 0xfec00000, GSI 0-50
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 8 global_irq 8 low edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 36 low level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ8 used by override.
Enabling APIC mode:  Physflat.  Using 1 I/O APICs
LAPIC enabled (0), calling get_smp_config
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at e2000000 (gap: e0000000:1ec00000)
Built 1 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet init=/bin/bash
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c0425000 soft=c0405000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 1600.740 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 4123988k/4718592k available (2014k kernel code, 53648k reserved, 843k
data, 208k init, 3261356k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 3210.22 BogoMIPS (lpj=6420459)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 256K
CPU: L3 cache: 1024K
CPU: Physical Processor ID: 0
CPU: After all inits, caps: 3febf3ff 00000000 00000000 00000080 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU0: Thermal monitoring enabled
Checking 'hlt' instruction... OK.
CPU0: Intel(R) Xeon(TM) CPU 1.60GHz stepping 01
Leaving ESR disabled.
Booting processor 1/4 eip 3000
CPU 1 irqstacks, hard=c0426000 soft=c0406000
Initializing CPU#1
Leaving ESR disabled.
Calibrating delay using timer specific routine.. 3200.86 BogoMIPS (lpj=6401729)
CPU: After generic identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 256K
CPU: L3 cache: 1024K
CPU: Physical Processor ID: 2
CPU: After all inits, caps: 3febf3ff 00000000 00000000 00000080 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel P4/Xeon Extended MCE MSRs (12) available
CPU1: Thermal monitoring enabled
CPU1: Intel(R) Xeon(TM) CPU 1.60GHz stepping 01
Booting processor 2/1 eip 3000
CPU 2 irqstacks, hard=c0427000 soft=c0407000
Initializing CPU#2
Leaving ESR disabled.
Calibrating delay using timer specific routine.. 3200.80 BogoMIPS (lpj=6401612)
CPU: After generic identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 256K
CPU: L3 cache: 1024K
CPU: Physical Processor ID: 0
CPU: After all inits, caps: 3febf3ff 00000000 00000000 00000080 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#2.
CPU2: Intel P4/Xeon Extended MCE MSRs (12) available
CPU2: Thermal monitoring enabled
CPU2: Intel(R) Xeon(TM) CPU 1.60GHz stepping 01
Booting processor 3/5 eip 3000
CPU 3 irqstacks, hard=c0428000 soft=c0408000
Initializing CPU#3
Leaving ESR disabled.
Calibrating delay using timer specific routine.. 3200.91 BogoMIPS (lpj=6401827)
CPU: After generic identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 3febfbff 00000000 00000000 00000000 00000000
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 256K
CPU: L3 cache: 1024K
CPU: Physical Processor ID: 2
CPU: After all inits, caps: 3febf3ff 00000000 00000000 00000080 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#3.
CPU3: Intel P4/Xeon Extended MCE MSRs (12) available
CPU3: Thermal monitoring enabled
CPU3: Intel(R) Xeon(TM) CPU 1.60GHz stepping 01
Total of 4 processors activated (12812.81 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
checking TSC synchronization across 4 CPUs: passed.
Brought up 4 CPUs
migration_cost=4000,4000
checking if image is initramfs... it is
Freeing initrd memory: 1800k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfd31c, last bus=14
PCI: Using configuration type 1
ACPI: Subsystem revision 20060127
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:00:01.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Root Bridge [PCI1] (0000:01)
PCI: Probing PCI hardware (bus 01)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI1._PRT]
ACPI: PCI Root Bridge [PCI2] (0000:0a)
PCI: Probing PCI hardware (bus 0a)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI2._PRT]
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:01: ioport range 0x438-0x439 has been reserved
pnp: 00:01: ioport range 0x430-0x437 has been reserved
pnp: 00:05: ioport range 0x3f8-0x3ff has been reserved
pnp: 00:0a: ioport range 0x374-0x375 has been reserved
pnp: 00:0a: ioport range 0x377-0x377 has been reserved
pnp: 00:0a: ioport range 0x490-0x4af has been reserved
pnp: 00:0a: ioport range 0x40b-0x40b has been reserved
pnp: 00:0a: ioport range 0x4d0-0x4d1 has been reserved
pnp: 00:0a: ioport range 0x4d6-0x4d6 has been reserved
pnp: 00:0a: ioport range 0x600-0x600 has been reserved
pnp: 00:0a: ioport range 0xc00-0xc01 has been reserved
IBM machine detected. Enabling interrupts during APM calls.
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1141727376.980:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key FD1C02054D1EEA2D
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Linux agpgart interface v0.101 (c) Dave Jones
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SvrWks OSB4: IDE controller at PCI slot 0000:00:0f.1
SvrWks OSB4: chipset revision 0
SvrWks OSB4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x0700-0x0707, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0x0708-0x070f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
hda: LG CD-ROM CRN-8245B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
Probing IDE interface ide1...
hda: ATAPI 24X CD-ROM drive, 128kB Cache, (U)DMA
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard as /class/input/input0
IP route cache hash table entries: 262144 (order: 8, 1048576 bytes)
TCP established hash table entries: 131072 (order: 9, 2621440 bytes)
TCP bind hash table entries: 65536 (order: 8, 1310720 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
ACPI wakeup devices: 
LAN0 
ACPI: (supports S0 S4 S5)
Freeing unused kernel memory: 208k freed
Write protecting the kernel read-only data: 368k
SCSI subsystem initialized
ACPI: PCI Interrupt 0000:00:04.0[A] -> GSI 41 (level, low) -> IRQ 16
input: PS/2 Generic Mouse as /class/input/input1
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
        <Adaptec aic7892 Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

  Vendor: IBM       Model: YGHv3 S2          Rev: 0   
  Type:   Processor                          ANSI SCSI revision: 02
 target0:0:9: Beginning Domain Validation
 target0:0:9: Ending Domain Validation
  Vendor: IBM-ESXS  Model: ST373405LC    !#  Rev: B245
  Type:   Direct-Access                      ANSI SCSI revision: 03
scsi0:A:12:0: Tagged Queuing enabled.  Depth 4
 target0:0:12: Beginning Domain Validation
 target0:0:12: wide asynchronous
 target0:0:12: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 63)
 target0:0:12: Ending Domain Validation
SCSI device sda: 143374000 512-byte hdwr sectors (73407 MB)
sda: Write Protect is off
sda: Mode Sense: ab 00 10 08
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 143374000 512-byte hdwr sectors (73407 MB)
sda: Write Protect is off
sda: Mode Sense: ab 00 10 08
SCSI device sda: drive cache: write through w/ FUA
 sda: sda1 sda2
sd 0:0:12:0: Attached scsi disk sda
  Vendor: IBM-ESXS  Model: ST373405LC    !#  Rev: B245
  Type:   Direct-Access                      ANSI SCSI revision: 03
scsi0:A:13:0: Tagged Queuing enabled.  Depth 4
 target0:0:13: Beginning Domain Validation
 target0:0:13: wide asynchronous
 target0:0:13: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 63)
 target0:0:13: Ending Domain Validation
SCSI device sdb: 143374000 512-byte hdwr sectors (73407 MB)
sdb: Write Protect is off
sdb: Mode Sense: ab 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 143374000 512-byte hdwr sectors (73407 MB)
sdb: Write Protect is off
sdb: Mode Sense: ab 00 10 08
SCSI device sdb: drive cache: write through w/ FUA
 sdb: sdb1
sd 0:0:13:0: Attached scsi disk sdb
ACPI: PCI Interrupt 0000:0a:01.0[A] -> GSI 29 (level, low) -> IRQ 17
scsi1 : IBM PCI ServeRAID 7.12.05  Build 761 <ServeRAID 4Lx>
  Vendor: IBM       Model: SERVERAID         Rev: 1.00
  Type:   Processor                          ANSI SCSI revision: 02
md: raid0 personality registered for level 0
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
md: Autodetecting RAID arrays.
md: autorun ...
md: considering sdb1 ...
md:  adding sdb1 ...
md:  adding sda2 ...
md: created md0
md: bind<sda2>
md: bind<sdb1>
md: running: <sdb1><sda2>
md0: setting max_sectors to 512, segment boundary to 131071
raid0: looking at sdb1
raid0:   comparing sdb1(71680768) with sdb1(71680768)
raid0:   END
raid0:   ==> UNIQUE
raid0: 1 zones
raid0: looking at sda2
raid0:   comparing sda2(71576832) with sdb1(71680768)
raid0:   NOT EQUAL
raid0:   comparing sda2(71576832) with sda2(71576832)
raid0:   END
raid0:   ==> UNIQUE
raid0: 2 zones
raid0: FINAL 2 zones
raid0: zone 1
raid0: checking sda2 ... nope.
raid0: checking sdb1 ... contained as device 0
  (71680768) is smallest!.
raid0: zone->nb_dev: 1, size: 103936
raid0: current zone offset: 71680768
raid0: done.
raid0 : md_size is 143257600 blocks.
raid0 : conf->hash_spacing is 143153664 blocks.
raid0 : nb_zone is 2.
raid0 : Allocating 8 bytes for hash.
md: ... autorun DONE.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 18
input: ibmasm RSA I remote mouse as /class/input/input2
input: ibmasm RSA I remote keyboard as /class/input/input3
ibmasm remote responding to events on RSA card 0
Unable to handle kernel paging request at virtual address 6b6b6b6f
 printing eip:
c01d8923
*pde = 6b6b6b6b
Oops: 0000 [#1]
SMP 
last sysfs file: /block/ram0/dev
Modules linked in: ibmasm dm_snapshot dm_zero dm_mirror dm_mod raid0 ext3 jbd
ips aic7xxx scsi_transport_spi sd_mod scsi_mod
CPU:    1
EIP:    0060:[<c01d8923>]    Not tainted VLI
EFLAGS: 00010046   (2.6.15-1.2009.4.2_FC5smp #1) 
EIP is at _raw_spin_unlock+0x4/0x6c
eax: 6b6b6b6b   ebx: 6b6b6b6b   ecx: 00000000   edx: 00000246
esi: 00000000   edi: f70e7e6f   ebp: f7f749dc   esp: f7d87d7c
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 497, threadinfo=f7d87000 task=f7c66270)
Stack: <0>00000246 00000000 c02f5122 00000246 f8901f7c f7da111c 00000000 f7da111c 
       f7da111c f7da1184 00000000 f89003e4 f7c5e27c 00000001 dead4ead ffffffff 
       ffffffff f89056ac f8905680 f7c5e27c c023a29a c01deed3 f7c5e2c4 f7c5e2c4 
Call Trace:
 [<c02f5122>] _spin_unlock_irqrestore+0x8/0xc     [<f8901f7c>]
ibmasm_send_driver_vpd+0xb7/0xc3 [ibmasm]
 [<f89003e4>] ibmasm_init_one+0x2e0/0x3c0 [ibmasm]     [<c023a29a>]
__driver_attach+0x0/0x8f
 [<c01deed3>] pci_device_probe+0x36/0x57     [<c023a1e5>]
driver_probe_device+0x42/0x8b
 [<c023a2ff>] __driver_attach+0x65/0x8f     [<c0239cdb>] bus_for_each_dev+0x33/0x55
 [<c023a149>] driver_attach+0x11/0x13     [<c023a29a>] __driver_attach+0x0/0x8f
 [<c02399fc>] bus_add_driver+0x64/0xfd     [<c01df062>]
__pci_register_driver+0x7f/0xa1
 [<f8843027>] ibmasm_init+0x27/0x4e [ibmasm]     [<c013c4bb>]
sys_init_module+0x16a5/0x184c
 [<c0163d9b>] do_sync_read+0xb8/0xf3     [<c013464f>]
autoremove_wake_function+0x0/0x2d
 [<c0163ce3>] do_sync_read+0x0/0xf3     [<c0164669>] vfs_read+0x9f/0x13e
 [<c0164ab5>] sys_read+0x3c/0x63     [<c0103d81>] syscall_call+0x7/0xb
Code: b0 01 00 00 50 ff 72 10 57 68 c0 f8 31 c0 e8 50 b6 f4 ff 8b 4e 08 b8 37 3d
31 c0 83 ca ff 83 c4 18 eb 8c 5b 5e 5f c3 56 53 89 c3 <81> 78 04 ad 4e ad de 74
0a ba a0 f8 31 c0 e8 00 ff ff ff 8a 03 
Continuing in 120 seconds. [...snip...]
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
 [<c0124cb5>] profile_task_exit+0x13/0x48     [<c01265d7>] do_exit+0x1c/0x6fc
 [<c010526c>] register_die_notifier+0x0/0x2f     [<c02f6210>]
do_page_fault+0x3b1/0x5e2
 [<c01d8923>] _raw_spin_unlock+0x4/0x6c     [<c012b1f7>]
try_to_del_timer_sync+0x44/0x4a
 [<c02f5e5f>] do_page_fault+0x0/0x5e2     [<c01048a7>] error_code+0x4f/0x54
 [<c01d007b>] as_dispatch_request+0x145/0x33c     [<c01d8923>]
_raw_spin_unlock+0x4/0x6c
 [<c02f5122>] _spin_unlock_irqrestore+0x8/0xc     [<f8901f7c>]
ibmasm_send_driver_vpd+0xb7/0xc3 [ibmasm]
 [<f89003e4>] ibmasm_init_one+0x2e0/0x3c0 [ibmasm]     [<c023a29a>]
__driver_attach+0x0/0x8f
 [<c01deed3>] pci_device_probe+0x36/0x57     [<c023a1e5>]
driver_probe_device+0x42/0x8b
 [<c023a2ff>] __driver_attach+0x65/0x8f     [<c0239cdb>] bus_for_each_dev+0x33/0x55
 [<c023a149>] driver_attach+0x11/0x13     [<c023a29a>] __driver_attach+0x0/0x8f
 [<c02399fc>] bus_add_driver+0x64/0xfd     [<c01df062>]
__pci_register_driver+0x7f/0xa1
 [<f8843027>] ibmasm_init+0x27/0x4e [ibmasm]     [<c013c4bb>]
sys_init_module+0x16a5/0x184c
 [<c0163d9b>] do_sync_read+0xb8/0xf3     [<c013464f>]
autoremove_wake_function+0x0/0x2d
 [<c0163ce3>] do_sync_read+0x0/0xf3     [<c0164669>] vfs_read+0x9f/0x13e
 [<c0164ab5>] sys_read+0x3c/0x63     [<c0103d81>] syscall_call+0x7/0xb
EXT3 FS on dm-0, internal journal

Points to note:
1. Linus' 2.6.16-rc5's good.
2. FC5T3 is fine when ibmasm.ko is renamed/removed etc.
3. Was there even in FC5T2 (sorry for my laziness. I was hoping for it to go
away magically :-( )
4. Only way to boot FC5T3 after the installation is to use bash as init & then
to rename/remove ibmasm.

Thanks
Comment 1 Dave Jones 2006-03-06 18:32:39 EST
The rc5 you built probably had CONFIG_DEBUG_SLAB disabled, as there's no patches
to this driver in Fedora.  Can you modprobe ibmasm ibmasm_debug=1
that should get some extra info so we can see exactly where it's falling over.
It seems to be reusing memory that was already free'd.
Comment 2 Srihari Vijayaraghavan 2006-03-06 23:52:45 EST
Fine. Here it's with ibmasm_debug=1:
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 18
command count: 1
input: ibmasm RSA I remote mouse as /class/input/input2
input: ibmasm RSA I remote keyboard as /class/input/input3
ibmasm remote responding to events on RSA card 0
command count: 2
ibmasm_exec_command:130 at 1141750315.802056
do_exec_command:107 at 1141750315.802155
respond to interrupt at 1141750315.803065
exec_next_command:150 at 1141750315.803184
finished interrupt at   1141750315.803285
command count: 1
Unable to handle kernel paging request at virtual address 6b6b6b6f
 printing eip:
c01d8923
*pde = 6b6b6b6b
Oops: 0000 [#1]
SMP 
last sysfs file: /block/ram0/dev
Modules linked in: ibmasm dm_snapshot dm_zero dm_mirror dm_mod raid0 ext3 jbd
ips aic7xxx scsi_transport_spi sd_mod scsi_mod
CPU:    1
EIP:    0060:[<c01d8923>]    Not tainted VLI
EFLAGS: 00010046   (2.6.15-1.2009.4.2_FC5smp #1) 
EIP is at _raw_spin_unlock+0x4/0x6c
eax: 6b6b6b6b   ebx: 6b6b6b6b   ecx: 00000000   edx: 00000246
esi: 00000000   edi: f79b662f   ebp: f7cb2af4   esp: f7187d7c
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 501, threadinfo=f7187000 task=f7f42c30)
Stack: <0>00000246 00000000 c02f5122 00000246 f8901f7c f7cb2234 00000000 f7cb2234 
       f7cb2234 f7cb229c 00000000 f89003e4 f7c5e27c 00000001 dead4ead ffffffff 
       ffffffff f89056ac f8905680 f7c5e27c c023a29a c01deed3 f7c5e2c4 f7c5e2c4 
Call Trace:
 [<c02f5122>] _spin_unlock_irqrestore+0x8/0xc     [<f8901f7c>]
ibmasm_send_driver_vpd+0xb7/0xc3 [ibmasm]
 [<f89003e4>] ibmasm_init_one+0x2e0/0x3c0 [ibmasm]     [<c023a29a>]
__driver_attach+0x0/0x8f
 [<c01deed3>] pci_device_probe+0x36/0x57     [<c023a1e5>]
driver_probe_device+0x42/0x8b
 [<c023a2ff>] __driver_attach+0x65/0x8f     [<c0239cdb>] bus_for_each_dev+0x33/0x55
 [<c023a149>] driver_attach+0x11/0x13     [<c023a29a>] __driver_attach+0x0/0x8f
 [<c02399fc>] bus_add_driver+0x64/0xfd     [<c01df062>]
__pci_register_driver+0x7f/0xa1
 [<f8843027>] ibmasm_init+0x27/0x4e [ibmasm]     [<c013c4bb>]
sys_init_module+0x16a5/0x184c
 [<c0163d9b>] do_sync_read+0xb8/0xf3     [<c013464f>]
autoremove_wake_function+0x0/0x2d
 [<c0163ce3>] do_sync_read+0x0/0xf3     [<c0164669>] vfs_read+0x9f/0x13e
 [<c0164ab5>] sys_read+0x3c/0x63     [<c0103d81>] syscall_call+0x7/0xb
Code: b0 01 00 00 50 ff 72 10 57 68 c0 f8 31 c0 e8 50 b6 f4 ff 8b 4e 08 b8 37 3d
31 c0 83 ca ff 83 c4 18 eb 8c 5b 5e 5f c3 56 53 89 c3 <81> 78 04 ad 4e ad de 74
0a ba a0 f8 31 c0 e8 00 ff ff ff 8a 03 
Continuing in 120 seconds. [...snip...]
 <3>Debug: sleeping function called from invalid context at include/linux/rwsem.h:43
in_atomic():0, irqs_disabled():1
 [<c0124cb5>] profile_task_exit+0x13/0x48     [<c01265d7>] do_exit+0x1c/0x6fc
 [<c010526c>] register_die_notifier+0x0/0x2f     [<c02f6210>]
do_page_fault+0x3b1/0x5e2
 [<c01d8923>] _raw_spin_unlock+0x4/0x6c     [<c012b1f7>]
try_to_del_timer_sync+0x44/0x4a
 [<c02f5e5f>] do_page_fault+0x0/0x5e2     [<c01048a7>] error_code+0x4f/0x54
 [<c01d007b>] as_dispatch_request+0x145/0x33c     [<c01d8923>]
_raw_spin_unlock+0x4/0x6c
 [<c02f5122>] _spin_unlock_irqrestore+0x8/0xc     [<f8901f7c>]
ibmasm_send_driver_vpd+0xb7/0xc3 [ibmasm]
 [<f89003e4>] ibmasm_init_one+0x2e0/0x3c0 [ibmasm]     [<c023a29a>]
__driver_attach+0x0/0x8f
 [<c01deed3>] pci_device_probe+0x36/0x57     [<c023a1e5>]
driver_probe_device+0x42/0x8b
 [<c023a2ff>] __driver_attach+0x65/0x8f     [<c0239cdb>] bus_for_each_dev+0x33/0x55
 [<c023a149>] driver_attach+0x11/0x13     [<c023a29a>] __driver_attach+0x0/0x8f
 [<c02399fc>] bus_add_driver+0x64/0xfd     [<c01df062>]
__pci_register_driver+0x7f/0xa1
 [<f8843027>] ibmasm_init+0x27/0x4e [ibmasm]     [<c013c4bb>]
sys_init_module+0x16a5/0x184c
 [<c0163d9b>] do_sync_read+0xb8/0xf3     [<c013464f>]
autoremove_wake_function+0x0/0x2d
 [<c0163ce3>] do_sync_read+0x0/0xf3     [<c0164669>] vfs_read+0x9f/0x13e
 [<c0164ab5>] sys_read+0x3c/0x63     [<c0103d81>] syscall_call+0x7/0xb
EXT3 FS on dm-0, internal journal

Thanks
Comment 3 Srihari Vijayaraghavan 2006-03-06 23:56:47 EST
Also, you were right about not having "Slab Debug" option in my 2.6.16-rc5.

Perhaps, I ought to report this to LKML (by reproducing it on 2.6.16-rc with
Slab Debug), if it's a main line issue. If so, pls tell me.

Thanks
Comment 4 Dave Jones 2006-03-07 00:34:43 EST
Yes, it's extremely likely that it's an issue in mainline.
Comment 5 Srihari Vijayaraghavan 2006-03-10 00:23:53 EST
Has been fixed & fix been merged to the mainline! (for the upcoming 2.6.16)
(Ref:
http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=6a88231fc7da311e4da4ce2011d1a132c80c145a)

Now let's hope FC5 will have it :-).

Thanks
Comment 6 Dave Jones 2006-10-16 20:18:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:56:26 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.